/* 顯示 sm 隱藏 lg */
.show_sm {
    display: block;
}
.show_lg {
    display: none;
}
@media (min-width: 768px) {
    .img_md_h100 {
        aspect-ratio: auto !important;
        height: 100% !important;
    }
    .img_md_hs {
        aspect-ratio: 2.5 / 1 !important;
    }
}
@media (min-width: 992px) {
    .show_sm {
        display: none;
    }
    .show_lg {
        display: block;
    }
    .img_lg_h100 {
        aspect-ratio: auto !important;
        height: 100% !important;
    }
}
header {
    transition: all 0.6s ease;
    opacity: 1;
}
body.scroll_down header.show_lg {
    opacity: 0;
    top: 0;
    transform: translateY(-150%);
}
header li {
    padding: 0 0.25rem;
    height: 100%;
}
header a,
header button {
    white-space: nowrap;
    color: var(--color_ci_2) !important;
    font-family: var(--ff_cn_2);
    font-weight: normal;
    line-height: 1;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    padding: 0.5rem;
    height: 100%;
    width: 100%;
}
header.show_sm * {
    font-size: 12px;
}
header a span {
    display: block;
    line-height: 1;
    padding: 0.1em;
}
img + small {
    color: #ffffff;
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 0.5rem;
    z-index: 5;
    width: 100%;
    text-align: center;
    font-weight: normal;
}

.h_full {
    min-height: max(100svh, 600px);
}
.hover_add_shadow {
    transition: all 0.3s ease;
    display: block;
    cursor: pointer;
}
.hover_add_shadow:hover {
    box-shadow: var(--box_shadow);
    transform: scale(1.01);
    background-color: #ffffff;
}
.hover_add_dark {
    transition: all 0.3s ease;
    display: block;
    cursor: pointer;
}
.hover_add_dark:hover {
    filter: brightness(0.3);
}
hgroup {
    padding: 0.5rem;
}
hgroup > * {
    margin-bottom: 0;
}
.cover_en {
    font-family: var(--ff_en);
    text-align: center;
    line-height: 0.8;
    color: #ffffff;
    font-size: calc(2rem + 4vw);
    letter-spacing: 0;
}
.cover_en + * {
    font-size: 1.2rem;
    letter-spacing: 0.5em;
}
h5 {
    font-size: calc(1rem + 0.25vw) !important;
}
option {
    background-color: var(--color_dark);
}
/* 手機版 */
@media (max-width: 767.98px) {
    .sm_h_16x9 {
        aspect-ratio: 16 / 9 !important;
    }
}

/* =========================================
    側邊選單 <aside>
========================================= */
.open_menu,
.btn_close_aside {
    position: fixed;
    z-index: 20;
    top: 0;
    right: 0;
    margin: 1rem;
    width: 50px;
    height: 50px;
    transition: all 0.6s ease;
    opacity: 1;
    filter: var(--drop_shadow);
}
body.scroll_down .open_menu {
    opacity: 0;
    transform: translateY(-150%);
}
aside.side_menu_wrapper {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    max-width: 400px;
    background-color: rgb(0, 0, 0, 0.8);
    z-index: 50;
    transform: translateX(100%);
    transition: transform 0.3s cubic-bezier(0.77, 0, 0.175, 1);
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    padding: 2rem;
}
body.show_aside aside.side_menu_wrapper {
    transform: translateX(0%);
    box-shadow: -10px 0 30px rgba(0, 0, 0, 0.2); /* 加點陰影增加層次 */
}
/* 選單開啟 Body禁止捲動 */
body.show_aside {
    overflow: hidden;
}
aside.side_menu_wrapper ul li {
    margin-bottom: 2rem; /* 間距 */
}
aside.side_menu_wrapper ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 1.2rem;
    letter-spacing: 0.5em;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.3s;
}
/* 懸停效果 */
aside.side_menu_wrapper ul li a:hover {
    opacity: 0.7;
}
/* .btn_close_aside {
    position: absolute;
    top: 10px;
    right: 10px;
    background: transparent;
    border: none;
    color: #fff;
    font-size: 3rem;
    cursor: pointer;
    line-height: 1;
    display: flex;
    align-items: center;
} */
.aside_overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* 半透明黑 */
    z-index: 40; /* 在 aside 下一層 */
    opacity: 0;
    visibility: hidden;
    transition: all 0.5s ease;
    backdrop-filter: blur(2px); /* 背景模糊效果 */
}
body.show_aside .aside_overlay {
    opacity: 1;
    visibility: visible;
}
/* ===============================
    表單
=============================== */
form .form_item {
    display: flex;
    align-items: center;
    border: 1px var(--color_gray) solid;
    padding: 0.75rem;
    gap: 0.5rem;
}
form label {
    white-space: nowrap;
    margin: 0;
    /* 強制文字分散對齊 */
    display: inline-block;
    text-align-last: justify;
    text-align: justify;
    width: 5em;
    color: var(--color_gray);
}
form input:not([type='checkbox']),
form select {
    border: none !important;
    padding: 0;
    width: 100%;
    color: #ffffff;
    text-align: center;
    text-align-last: center; /* 手機有效 */
    background: none;
    font-weight: lighter;
}
/* ===============================
    Swiper
=============================== */
/* 針對 Swiper 內的所有圖片強制 GPU 渲染 */
.swiper-slide img {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    transform: translateZ(0); /* 騙過瀏覽器，強制啟動 3D 渲染層 */
}
.swiper-button-next,
.swiper-button-prev {
    width: min(40px, 10vw);
    height: 100%;
    top: 0;
    bottom: 0;
    margin: 0;
}
.swiper-button-next::after,
.swiper-button-prev::after {
    content: '';
    width: min(40px, 10vw);
    height: min(40px, 10vw);
    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: saturate(100%) blur(2px);
    border-radius: 50%; /* 變成圓形 */
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    background-image: url('images/icon_arrow_right.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 25px;
}
.swiper-button-prev::after {
    transform: rotate(180deg);
}
.swiper-pagination-bullet {
    background: rgba(0, 0, 0, 0.8);
}
.swiper-pagination-bullets-dynamic .swiper-pagination-bullet-active-main {
    background-color: #ffffff;
}
.swiper-button-next.swiper-button-disabled,
.swiper-button-prev.swiper-button-disabled {
    opacity: 0;
}
/* 手機版 */
@media (max-width: 767.98px) {
}

/* ===============================
    /room/
=============================== */
.page_room ul li {
    margin-bottom: 0.75rem;
}

/* ===============================
    Bootstrap
=============================== */
.breadcrumb a {
    color: var(--color_font);
    border-bottom: 1px var(--color_font) dotted;
}
.form-select.text-white {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
}
.form-control:focus {
    color: #ffffff;
}
